<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2012, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>GUI Builder: Property Editors</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
    <body>
        <h2>GUI Builder: Property Editors</h2>
        <p><small><a href="#seealso">See Also</a></small></p>
        
		<p>This dialog box allows to edit a value of the selected property in a more advanced or comfortable way than in the in-place editor in the Properties window. There are multiple ways (property editors) how to edit a value, which can be chosen from the combo box at the top. By default the basic property editor is chosen (for example, a text editor for String-type properties, or a color chooser for colors). Sometimes this default editor may have no graphics component (for example, numbers only have an in-place editor in the Properties window).</p>
		
        <p>You can open the property editors dialog box for a currently selected element by clicking the ellipsis button  (...) to the right of a selected component property in
the Property window.</p>    
		
        <p>The following two property editors are always available for all value types:</p>
<ul> 
<li><b>Value from existing component.</b> Select a Component,  Property, or Method Call to set the property value from. </li>
<li><b>Custom code.</b> Insert your code representing the property value. The code becomes a part of the guarded code generated by the GUI Builder.</li> 
</ul>

	 
        <dl>
            <dt><a name="seealso">See Also</a></dt>
            <dd><a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/files/csh/files_properties.html">Properties Window</a> </dd>
            
        </dl>

        <hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
        <table border="0" cellpadding="50">
            <tr>
                <td>&nbsp;</td>
            </tr>
        </table>
    </body>
</html>
